Bug 53154 - New port: XFce 4 library with non-graphical helper functions
Summary: New port: XFce 4 library with non-graphical helper functions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-10 18:40 UTC by James Earl
Modified: 2003-07-28 19:39 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Earl 2003-06-10 18:40:11 UTC
	XFce 4 library with non-graphical helper functions. This is part of
	the BETA1 release of the XFce 4 desktop environment.

Fix: 

echo c - x11-toolkits/libxfce4util
mkdir -p x11-toolkits/libxfce4util > /dev/null 2>&1
echo x - x11-toolkits/libxfce4util/Makefile
sed 's/^X//' >x11-toolkits/libxfce4util/Makefile << 'END-of-x11-toolkits/libxfce4util/Makefile'
X# New ports collection makefile for:	libxfce4util
X# Date created:		7 June 2003
X# Whom:			James Earl <jdearl@telus.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	libxfce4util
XPORTVERSION=	3.90.0
XCATEGORIES=	x11-toolkits
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE} \
X		http://belnet.dl.sourceforge.net/sourceforge/xfce/ \
X		http://unc.dl.sourceforge.net/sourceforge/xfce/
XMASTER_SITE_SUBDIR=	xfce
XDIST_SUBDIR=	xfce4
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	XFce 4 library with non-graphical helper functions
X
XUSE_GNOME=	glib20
XUSE_REINPLACE=	yes
XUSE_X_PREFIX=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_TARGET=	--build=${ARCH}-portbld-freebsd${OSREL}
XINSTALLS_SHLIB=	yes
X
Xpost-patch:
X	@${REINPLACE_CMD} 's/(libdir)\/pkgconfig/(exec_prefix)\/libdata\/pkgconfig/' ${WRKSRC}/${PORTNAME}/Makefile.in
X
X.include <bsd.port.mk>
END-of-x11-toolkits/libxfce4util/Makefile
echo x - x11-toolkits/libxfce4util/distinfo
sed 's/^X//' >x11-toolkits/libxfce4util/distinfo << 'END-of-x11-toolkits/libxfce4util/distinfo'
XMD5 (xfce4/libxfce4util-3.90.0.tar.gz) = a76051fe04b9bd030fb6b7d2db302273
END-of-x11-toolkits/libxfce4util/distinfo
echo x - x11-toolkits/libxfce4util/pkg-descr
sed 's/^X//' >x11-toolkits/libxfce4util/pkg-descr << 'END-of-x11-toolkits/libxfce4util/pkg-descr'
XXFce 4 library with non-graphical helper functions. 
X
XWWW: http://www.xfce.org
END-of-x11-toolkits/libxfce4util/pkg-descr
echo x - x11-toolkits/libxfce4util/pkg-plist
sed 's/^X//' >x11-toolkits/libxfce4util/pkg-plist << 'END-of-x11-toolkits/libxfce4util/pkg-plist'
Xinclude/xfce4/libxfce4util/debug.h
Xinclude/xfce4/libxfce4util/i18n.h
Xinclude/xfce4/libxfce4util/util.h
Xlib/libxfce4util.a
Xlib/libxfce4util.la
Xlib/libxfce4util.so
Xlib/libxfce4util.so.0
Xlibdata/pkgconfig/libxfce4util-1.0.pc
Xshare/xfce4/i18n/nls.alias
Xshare/xfce4/m4/X11.m4
Xshare/xfce4/m4/debug.m4
Xshare/xfce4/m4/depends.m4
Xshare/xfce4/m4/i18n.m4
X@dirrm include/xfce4/libxfce4util
X@unexec rmdir %D/include/xfce4 2>/dev/null || true
X@dirrm share/xfce4/i18n
X@dirrm share/xfce4/m4
X@unexec rmdir %D/share/xfce4 2>/dev/null || true
END-of-x11-toolkits/libxfce4util/pkg-plist
exit
--- libxfce4util ends here ---
Comment 1 Oliver Lehmann freebsd_committer 2003-07-05 08:54:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

I'll handle this
Comment 2 Oliver Lehmann freebsd_committer 2003-07-28 19:39:02 UTC
State Changed
From-To: open->closed

Committed a slightly different and updated to rc2 version. Thanks a lot for your work!